# Copyright (C) 2019 MicroSys Electronics GmbH, Author Kay Potthoff
# Author: Kay Potthoff <kay.potthoff@microsys.de>

COMPATIBLE_MACHINE = "(mpxls1028)"

# Kernel Driver:
# The GPU driver doesn't support SMMU feature. Disable it with:
#     iommu.passthrough=1 arm-smmu.disable_bypass=0
# in bootargs.
# Demo with: weston --tty=1 &

inherit module fsl-eula-unpack distro_features_check

SRC_URI = "https://www.nxp.com/lgfiles/sdk/lsdk1909/gpu-module-lsdk1909.bin;fsl-eula=true"
SRC_URI[md5sum] = "9f9591530fe7b3f46361bb932901c509"
SRC_URI[sha256sum] = "8be4ab0d817e66ef685a6a8f3d95ec1e70e9eae73b4f5a836b4b60ebcf0d588d"

DESCRIPTION = "GPU kernel module for LS1028A from Vivante"
SECTION = "kernel"
LICENSE = "Proprietary"
LIC_FILES_CHKSUM = "file://LICENSE;md5=5ab1a30d0cd181e3408077727ea5a2db"

S = "${WORKDIR}/gpu-module-lsdk1909"

do_configure[noexec] = "1"

export KERNEL_DIR = "${STAGING_KERNEL_DIR}"
export AQROOT = "${S}"

do_patch() {
    sed -e s/^install:/modules_install:/g ${S}/Makefile > ${S}/Makefile.new
    mv ${S}/Makefile.new ${S}/Makefile
}

do_install_append() {
   install -d -m 0755 ${D}${sysconfdir}/modules-load.d
   echo "galcore" > ${D}${sysconfdir}/modules-load.d/galcore.conf
}

RPROVIDES_${PN} += "kernel-module-galcore"
